using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace a
{
    class Program
{
    static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string s1 = Console.ReadLine();

            Console.WriteLine(0);
            Console.WriteLine(s);
        }
    }
}